#
# Copyright (c) 2009 Grigori Goronzy <greg@geekmind.org>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

# Default location of the configuration file
CONFIG_FILE = "/etc/eee-control.conf"

# Default values for all configuration file sections
DEFAULTS = {
    "general": {
        "fsb-method": "she",
        "fan-control": "yes"
    },
    "fan": {
        "max-speed": "55",
        "interval": "7",
        "critical-temperature": "55"
    },
    "brightness": {
        "extended-brightness": "yes"
    }
}

# Keycodes for media keys
BRIGHTNESS_UP = 225
BRIGHTNESS_DOWN = 224
VOLUME_MUTE = 113
VOLUME_DOWN = 114
VOLUME_UP = 115

